Skip to main content
POST
/
2025-04
/
retail-media
/
campaigns
/
{campaign-id}
/
preferred-line-items
/2025-04/retail-media/campaigns/{campaign-id}/preferred-line-items
curl --request POST \
  --url https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/preferred-line-items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/preferred-line-items"

payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};

fetch('https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/preferred-line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "budget": 123,
      "campaignId": "<string>",
      "name": "<string>",
      "startDate": "2023-12-25",
      "targetRetailerId": "<string>",
      "budgetRemaining": 123,
      "budgetSpent": 123,
      "capping": {
        "count": 123
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "creativeId": "<string>",
      "endDate": "2023-12-25",
      "id": "<string>",
      "page": {
        "categories": [
          {
            "categoryId": "<string>",
            "includeChildren": true
          }
        ],
        "searchKeywords": [
          "<string>"
        ]
      },
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaign-id
string
required

The given campaign id

Body

application/json

The line item settings to create a line item with

Data model for a create input resource

data
object

Data model for a Resource

Response

201 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single entity

data
object | null

A class that represents a domain entity exposed by an API

errors
object[]
read-only
warnings
object[]
read-only